> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vijil.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Accept Invite

> Accept a team invitation.

Only the target user (the one who was invited) can accept their invitation.
The user_id and email come from the authenticated JWT token.



## OpenAPI

````yaml /openapi/api.json post /v1/teams/invites/{invitation_id}/accept
openapi: 3.1.0
info:
  title: Vijil Console API (Combined)
  description: Combined OpenAPI specification for all vijil-console microservices.
  version: 0.1.0
servers: []
security: []
tags:
  - name: Teams
    description: Authentication, users, and team management
  - name: Agent Environment
    description: Agent, persona, policy, and harness management
  - name: Diamond
    description: Evaluation management and report retrieval
  - name: Dome
    description: Protection, guardrails, and telemetry
  - name: Red Team
    description: Red team campaigns
paths:
  /v1/teams/invites/{invitation_id}/accept:
    post:
      tags:
        - Teams
        - teams
      summary: Accept Invite
      description: >-
        Accept a team invitation.


        Only the target user (the one who was invited) can accept their
        invitation.

        The user_id and email come from the authenticated JWT token.
      operationId: accept_invite_v1_teams_invites__invitation_id__accept_post
      parameters:
        - name: invitation_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Invitation Id
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Membership'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    Membership:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        team_id:
          type: string
          format: uuid
          title: Team Id
        user_id:
          type: string
          format: uuid
          title: User Id
        role:
          $ref: '#/components/schemas/TeamRole'
        created_at:
          type: integer
          title: Created At
        updated_at:
          type: integer
          title: Updated At
      type: object
      required:
        - id
        - team_id
        - user_id
        - role
        - created_at
        - updated_at
      title: Membership
      description: Team membership domains model.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TeamRole:
      type: string
      enum:
        - OWNER
        - ADMIN
        - MEMBER
      title: TeamRole
      description: Team membership roles.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````